"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TableWrapper = exports.Table = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const Table = ({
  style,
  borderStyle,
  children
}) => {
  const borderLeftWidth = borderStyle?.borderWidth ?? 0;
  const borderBottomWidth = borderLeftWidth;
  const borderColor = borderStyle?.borderColor ?? '#000';
  const renderChildren = () => _react.default.Children.map(children, child => /*#__PURE__*/_react.default.cloneElement(child, borderStyle && child.type.displayName !== 'ScrollView' ? {
    borderStyle
  } : {}));
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: [style, {
      borderLeftWidth,
      borderBottomWidth,
      borderColor
    }],
    children: renderChildren()
  });
};
exports.Table = Table;
const TableWrapper = ({
  style,
  borderStyle,
  children
}) => {
  const renderChildren = () => _react.default.Children.map(children, child => /*#__PURE__*/_react.default.cloneElement(child, borderStyle ? {
    borderStyle
  } : {}));
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    style: style,
    children: renderChildren()
  });
};
exports.TableWrapper = TableWrapper;
//# sourceMappingURL=table.js.map