/**
 * sum all numbers in an array
 * @param arr - arr of numbers
 * @returns sum of all numbers
 */
export const sum = (arr: number[]): number => {
  if (!arr || !arr.length) return 0;
  return arr.reduce((acc, n) => acc + n, 0);
};
