"use strict";

/**
 * Tabeller - Table Components for React Native
 * A set of lightweight and customizable components to build tables
 * in React Native apps. Includes rows, columns, cells, and table wrappers.
 */

// components
export { Cell } from "./components/cell.js";
export { Row, Rows } from "./components/rows.js";
export { Col, Cols } from "./components/cols.js";
export { Table, TableWrapper } from "./components/table.js";
export { StickyTable } from "./components/sticky-table.js";

// types
//# sourceMappingURL=index.js.map